# Uses of Class
org.apache.lucene.search.spell.SuggestWord

Packages that use SuggestWord
Package
Description
org.apache.lucene.search.spell
Suggest alternate spellings for words.

- ## Uses of SuggestWord in org.apache.lucene.search.spell

  Fields in org.apache.lucene.search.spell with type parameters of type SuggestWord
  Modifier and Type
  Field
  Description
  `static final Comparator<SuggestWord>`
  SuggestWordQueue.`DEFAULT_COMPARATOR`
  Default comparator: score then frequency.
  Methods in org.apache.lucene.search.spell that return SuggestWord
  Modifier and Type
  Method
  Description
  `SuggestWord`
  CombineSuggestion.`suggestion()`
  Returns the value of the `suggestion` record component.
  `SuggestWord[]`
  DirectSpellChecker.`suggestSimilar(Term term, int numSug, IndexReader ir)`
  Calls `suggestSimilar(term, numSug, ir, SuggestMode.SUGGEST_WHEN_NOT_IN_INDEX)`
  `SuggestWord[]`
  DirectSpellChecker.`suggestSimilar(Term term, int numSug, IndexReader ir, SuggestMode suggestMode)`
  Calls `suggestSimilar(term, numSug, ir, suggestMode, this.accuracy)`
  `SuggestWord[]`
  DirectSpellChecker.`suggestSimilar(Term term, int numSug, IndexReader ir, SuggestMode suggestMode, float accuracy)`
  Suggest similar words.
  `SuggestWord[][]`
  WordBreakSpellChecker.`suggestWordBreaks(Term term, int maxSuggestions, IndexReader ir, SuggestMode suggestMode, WordBreakSpellChecker.BreakSuggestionSortMethod sortMethod)`
  Generate suggestions by breaking the passed-in term into multiple words.
  Methods in org.apache.lucene.search.spell that return types with arguments of type SuggestWord
  Modifier and Type
  Method
  Description
  `Comparator<SuggestWord>`
  DirectSpellChecker.`getComparator()`
  Get the current comparator in use.
  `Comparator<SuggestWord>`
  SpellChecker.`getComparator()`
  Gets the comparator in use for ranking suggestions.
  Methods in org.apache.lucene.search.spell with parameters of type SuggestWord
  Modifier and Type
  Method
  Description
  `int`
  SuggestWordFrequencyComparator.`compare(SuggestWord first, SuggestWord second)`
  `int`
  SuggestWordScoreComparator.`compare(SuggestWord first, SuggestWord second)`
  `protected final boolean`
  SuggestWordQueue.`lessThan(SuggestWord wa, SuggestWord wb)`
  Method parameters in org.apache.lucene.search.spell with type arguments of type SuggestWord
  Modifier and Type
  Method
  Description
  `void`
  DirectSpellChecker.`setComparator(Comparator<SuggestWord> comparator)`
  Set the comparator for sorting suggestions.
  `void`
  SpellChecker.`setComparator(Comparator<SuggestWord> comparator)`
  Sets the `Comparator` for the `SuggestWordQueue`.
  Constructors in org.apache.lucene.search.spell with parameters of type SuggestWord
  Modifier
  Constructor
  Description
  ``
  `CombineSuggestion(SuggestWord suggestion, int[] originalTermIndexes)`
  Creates an instance of a `CombineSuggestion` record class.
  Constructor parameters in org.apache.lucene.search.spell with type arguments of type SuggestWord
  Modifier
  Constructor
  Description
  ``
  `SpellChecker(Directory spellIndex, StringDistance sd, Comparator<SuggestWord> comparator)`
  Use the given directory as a spell checker index with the given `StringDistance` measure and the given `Comparator` for sorting the results.
  ``
  `SuggestWordQueue(int size, Comparator<SuggestWord> comparator)`
  Specify the size of the queue and the comparator to use for sorting.